SpanWeight.Postings (Lucene 10.5.1 queries API)
Description: declaration: package: org.apache.lucene.queries.spans, class: SpanWeight, enum: Postings

Package org.apache.lucene.queries.spans

# Enum Class SpanWeight.Postings

java.lang.Object
java.lang.Enum<SpanWeight.Postings>
org.apache.lucene.queries.spans.SpanWeight.Postings

All Implemented Interfaces:
  `Serializable`, `Comparable<SpanWeight.Postings>`, `Constable`

Enclosing class:
  `SpanWeight`

public static enum SpanWeight.Postings extends Enum<SpanWeight.Postings>
Enumeration defining what postings information should be retrieved from the index for a given Spans

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `OFFSETS`
  `PAYLOADS`
  `POSITIONS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SpanWeight.Postings`
  `atLeast(SpanWeight.Postings postings)`
  `abstract int`
  `getRequiredPostings()`
  `static SpanWeight.Postings`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpanWeight.Postings[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### POSITIONS

    public static final SpanWeight.Postings POSITIONS

  - ### PAYLOADS

    public static final SpanWeight.Postings PAYLOADS

  - ### OFFSETS

    public static final SpanWeight.Postings OFFSETS

- ## Method Details

  - ### values

    public static SpanWeight.Postings[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SpanWeight.Postings valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getRequiredPostings

    public abstract int getRequiredPostings()

  - ### atLeast

    public SpanWeight.Postings atLeast(SpanWeight.Postings postings)